#!/bin/sh
# Generated by atscap -S, Sat Sep 23 22:13:17. You may need to edit this.
# This script collects ATSC samples from all of your stations.
# You may edit LOCATION to reflect the nearest big city.
# You may edit CHANNELS if you adjust for better reception.
LOCATION=Houston
CHANNELS=" 19  27  31 "
cd /dtv
echo atscap >atscap.txt
tar cf samples-$LOCATION.tar atscap.txt
for i in $CHANNELS; do
    echo Collecting samples from channel $i

# -i0 sets the dvb device number to 0
    atscap -q -i0 -s60 -o$i.ts $i
    if [[ -f $i.ts ]]; then
	atscut -q -m3 -a15 $i.ts >$i-mgt.txt
    	atscut -kmgt $i.ts >/dev/null
	tar rf samples-$LOCATION.tar $i-mgt.txt $i-mgt.ts
	rm -f $i-mgt.txt $i-mgt.ts $i.ts
    fi
done
rm -f samples-$LOCATON.tar.bz2
bzip2 samples-$LOCATION.tar
echo Please email samples-$LOCATION.tar.bz2 to inkling@nop.org
echo The curious may want to inspect the -mgt files.
